# Default values for talenteo-config-server.
# This is a YAML-formatted file.
# Declare variables to be passed into your templates.

replicaCount: 1

image:
  #registry: talenteoregistry.azurecr.io
  repository: titi2707/config-server
  pullPolicy: Always
  imageTag: "uu"

imagePullSecrets: []
nameOverride: ""
fullnameOverride: ""

springCloudConfigUri: http://talenteo-config-server-dev:2001
springProfilesActive: dev

serviceAccount:
  # Specifies whether a service account should be created
  create: true
  # The name of the service account to use.
  # If not set and create is true, a name is generated using the fullname template
  name:

podSecurityContext: {}
  # fsGroup: 2000

securityContext: {}
  # capabilities:
  #   drop:
  #   - ALL
  # readOnlyRootFilesystem: true

  # runAsNonRoot: true
  # runAsUser: 1000

service:
  type: ClusterIP
  port: 2001

ingress:
  enabled: true
  className: "nginx"
  annotations: 
     #kubernetes.io/ingress.class: nginx
    # kubernetes.io/tls-acme: "true"
  hosts:
    - host: dev.talenteo-platform.fr
      paths:
        - path: /talenteo-config-server(/|$)(.*)
          pathType: ImplementationSpecific
  tls: []
  #  - secretName: chart-example-tls
  #    hosts:
  #      - chart-example.local


resources:
  #limits:
  #  cpu: 100m
  #  memory: 512Mi
  #requests:
  #  cpu: 100m
   # memory: 256Mi

nodeSelector: {}

tolerations: []

affinity: {}
